extends Node2D

class_name GameWorld

export(NodePath) var player_path
export(NodePath) var map_path

onready var player = get_node(player_path) as Node2D
onready var map = get_node(map_path) as GameMap

func _ready():
	for tilemap in map.tilemaps:
		if tilemap is MapTiles:
			tilemap.set_occluder_origin(player)
